import Component from '../component.js';
import CoEuiLabel from './eui-label.js';

export default class CoEuiTreeNodeWrapperContainerRightChip extends Component {

  constructor(parent) {
    let selector = 'eui-chip[contains(@class,"eui-chip--rounded")]';
    super(parent, selector);
    //https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-tree/eui-tree.component.html?at=master
  }
  get labelCO() {
    return new CoEuiLabel(this.currentPath);
  }
}


